org.apache.fontbox.afm

## Class TrackKern

- java.lang.Object
- - org.apache.fontbox.afm.TrackKern

    public class TrackKern
    extends Object

This class represents a piece of track kerning data.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`TrackKern(int degree, float minPointSize, float minKern, float maxPointSize, float maxKern)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getDegree()` Getter for property degree.
`float` `getMaxKern()` Getter for property maxKern.
`float` `getMaxPointSize()` Getter for property maxPointSize.
`float` `getMinKern()` Getter for property minKern.
`float` `getMinPointSize()` Getter for property minPointSize.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TrackKern

    public TrackKern(int degree,
                     float minPointSize,
                     float minKern,
                     float maxPointSize,
                     float maxKern)

### Method Detail

#### getDegree

    public int getDegree()

Getter for property degree.

Returns:
  Value of property degree.

#### getMaxKern

    public float getMaxKern()

Getter for property maxKern.

Returns:
  Value of property maxKern.

#### getMaxPointSize

    public float getMaxPointSize()

Getter for property maxPointSize.

Returns:
  Value of property maxPointSize.

#### getMinKern

    public float getMinKern()

Getter for property minKern.

Returns:
  Value of property minKern.

#### getMinPointSize

    public float getMinPointSize()

Getter for property minPointSize.

Returns:
  Value of property minPointSize.